{ stdenv, fetchFromGitHub, python3Packages, nmigen }:

python3Packages.buildPythonPackage {
  name = "nmigen-boards";

  src = fetchFromGitHub {
    owner = "m-labs";
    repo = "nmigen-boards";
    rev = "bb3d6d742fb759ecf51d303942b5570f66407a6e";
    sha256 = "18nsy95swr6116kaikrw5mnrzcdhlvy2i5ad2lkj11f0x8af5y7w";
  };

  propagatedBuildInputs = [ nmigen ];

  meta = with stdenv.lib; {
    description = "Board and connector definition files for nMigen";
    homepage    = "https://m-labs.hk";
    license     = licenses.bsd2;
    maintainers = [ maintainers.sb0 ];
  };
}
